Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.search
Class FuzzyQuery.ScoreTermQueue

    java.lang.Object
      org.apache.lucene.util.PriorityQueue
          org.apache.lucene.search.FuzzyQuery.ScoreTermQueue

Enclosing class:
  FuzzyQuery

    protected static class FuzzyQuery.ScoreTermQueue

extends PriorityQueue

Field Summary

Fields inherited from class org.apache.lucene.util.PriorityQueue
`heap`

Constructor Summary
`FuzzyQuery.ScoreTermQueue(int size)`

Method Summary
`protected boolean` | `lessThan(Object a, Object b)` Determines the ordering of objects in this priority queue.

Methods inherited from class org.apache.lucene.util.PriorityQueue
`adjustTop, clear, initialize, insert, insertWithOverflow, pop, put, size, top`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FuzzyQuery.ScoreTermQueue

    public FuzzyQuery.ScoreTermQueue(int size)

Method Detail

### lessThan

    protected boolean lessThan(Object a,
                               Object b)

  Description copied from class: `PriorityQueue`
  Determines the ordering of objects in this priority queue. Subclasses must define this one method.

  Specified by:
    `lessThan` in class `PriorityQueue`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.